Page MenuHomePhabricator

1.39.0-wmf.18 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
hashar
Release Version
1.39.0-wmf.18
Release Date
Mon, Jun 27, 12:00 AM

2022 week 26 1.39-wmf.18 Changes wmf/1.39.0-wmf.18

This MediaWiki Train Deployment is scheduled for the week of Monday, June 27th:

Monday June 27thTuesday, June 28thWednesday, June 29thThursday, June 30thFriday
Backports only.Branch wmf.18 and deploy to Group 0 Wikis.Deploy wmf.18 to Group 1 Wikis.Deploy wmf.18 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.18 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.39.0-wmf.17
Next: 1.39.0-wmf.19

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: hashar.
thcipriani set the point value for this task to 5.
Risky Patch! 🚂🔥
  • Change: https://gerrit.wikimedia.org/r/c/808836, https://gerrit.wikimedia.org/r/c/808837 (T311307)
  • Summary:
    • We’re adding a new log channel (WikibaseTerms), with ca. three debug log messages per Wikidata edit going to logstash.
    • It’s possible that the volume of messages will be too high. (Though I don’t expect this – the DuplicateParse channel already seems to log several messages per Wikidata edit.)
  • Test plan:
    • Look for messages on the WikibaseTerms channel in Logstash. (For example, using this repurposed DuplicateParse dashboard.)
    • Some messages should already come in from Test Wikidata (group0), though at a lower volume.
  • Places to monitor:
  • Revert plan:
    • It should be safe to either revert the config change or change the WikibaseTerms channel’s configuration to something that doesn’t send all the messages to logstash (e.g. 'debug' would only send them to udp2log).
    • The Wikibase change should also be safe to revert, the two changed files don’t depend on one another in a way that would cause issues during deployment.
  • Affected wikis:
wikidatawiki
testwikidatawiki
  • IRC contact: Lucas_WMDE
  • UBN Task Projects/tags: Wikidata, specifically Special:NewLexeme revival (even more specifically, sprint 11, but I can’t select that via a hashtag, I think)
  • Would you like to backport this change rather than ride the train?: No

Mentioned in SAL (#wikimedia-operations) [2022-06-28T17:40:36Z] <dduvall@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.18 refs T308071

Mentioned in SAL (#wikimedia-operations) [2022-06-28T17:52:29Z] <dduvall@deploy1002> Finished scap: testwikis wikis to 1.39.0-wmf.18 refs T308071 (duration: 11m 52s)

Change 809232 had a related patch set uploaded (by Dduvall; author: Dduvall):

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.18

https://gerrit.wikimedia.org/r/809232

Change 809232 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.18

https://gerrit.wikimedia.org/r/809232

Mentioned in SAL (#wikimedia-operations) [2022-06-28T18:20:16Z] <dduvall@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.18 refs T308071

Mentioned in SAL (#wikimedia-operations) [2022-06-28T18:47:50Z] <dduvall@deploy1002> Finished scap: testwikis wikis to 1.39.0-wmf.18 refs T308071 (duration: 27m 34s)

Change 809237 had a related patch set uploaded (by Dduvall; author: Dduvall):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.18

https://gerrit.wikimedia.org/r/809237

Change 809237 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.18

https://gerrit.wikimedia.org/r/809237

Mentioned in SAL (#wikimedia-operations) [2022-06-28T18:56:20Z] <dduvall@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.18 refs T308071

Change 809652 had a related patch set uploaded (by Dduvall; author: Dduvall):

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.18

https://gerrit.wikimedia.org/r/809652

Change 809652 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.18

https://gerrit.wikimedia.org/r/809652

Mentioned in SAL (#wikimedia-operations) [2022-06-29T18:07:25Z] <dduvall@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.39.0-wmf.18 refs T308071

Mentioned in SAL (#wikimedia-operations) [2022-06-29T18:11:00Z] <dduvall@deploy1002> Synchronized php: group1 wikis to 1.39.0-wmf.18 refs T308071 (duration: 03m 35s)

Regarding my risky patch (T308071#8032891), the logging seems to be working and the volume on the WikibaseTerms channel seems to be ca. 40k messages per hour. Compared to a total MediaWiki volume in the vicinity of 1.2 million messages per hour, that seems acceptable – in the last 12 hours, it’s the 8th-most busy channel on the mediawiki board, the orangeish slice here (second from the top in most stacks):

image.png (300×680 px, 38 KB)

TL;DR: seems fine :)

Regarding my risky patch (T308071#8032891), the logging seems to be working and the volume on the WikibaseTerms channel seems to be ca. 40k messages per hour. Compared to a total MediaWiki volume in the vicinity of 1.2 million messages per hour, that seems acceptable – in the last 12 hours, it’s the 8th-most busy channel on the mediawiki board, the orangeish slice here (second from the top in most stacks):

image.png (300×680 px, 38 KB)

TL;DR: seems fine :)

Thanks for following up here! It's always valuable for deployers to know developers are monitoring the rollout of their changes ❤️

Thanks for following up here! It's always valuable for deployers to know developers are monitoring the rollout of their changes ❤️

Hear hear! Thank you very much. :)

Change 810068 had a related patch set uploaded (by Dduvall; author: Dduvall):

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.18

https://gerrit.wikimedia.org/r/810068

Change 810068 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.18

https://gerrit.wikimedia.org/r/810068

Mentioned in SAL (#wikimedia-operations) [2022-06-30T18:15:17Z] <dduvall@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.39.0-wmf.18 refs T308071